program expnotes;

uses
  Forms,
  Windows,
  SysUtils,
  trayicfm in 'Trayicfm.pas' {TrayIconForm},
  expnoteu in 'expnoteu.pas' {ExpNoteForm},
  aboutbox in 'Aboutbox.pas' {AboutForm};

{$R *.RES}
procedure CheckForWin95;
VAR OSI : TOsVersionInfo;
begin
  OSI.dwOSVersionInfoSize := SizeOf(OSI);
  getVersionEx(OSI);
  IF OSI.dwPlatformID <> VER_PLATFORM_WIN32_WINDOWS THEN
    begin
      MessageBox(0, 'This program runs only under Windows 95',
        'ExpNote', MB_OK OR MB_ICONSTOP);
      Halt;
    end;
end;


VAR Mutex : THandle;
begin
  CheckForWin95;
  Mutex := CreateMutex(NIL, True, 'PC Magazine ExpNote');
  IF GetLastError <> ERROR_ALREADY_EXISTS THEN
    BEGIN
      {get the Application object fully initialized}
      Application.CreateHandle;
      ShowWindow(Application.Handle, SW_HIDE);
      {regular main program body start}
      Application.Title := 'ExpNotes';
  Application.ShowMainForm := False;
      Application.CreateForm(TExpNoteForm, ExpNoteForm);
  Application.Run;
      {regular main program body end}
    END;
  ReleaseMutex(Mutex);
end.

